<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>AbstractTask (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractTask (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/AbstractTask.html" target="_top">Frames</a></li>
<li><a href="AbstractTask.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.task</div>
<h2 title="Class AbstractTask" class="title">Class AbstractTask&lt;V&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.google.common.util.concurrent.AbstractFuture&lt;V&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.task.AbstractTask&lt;V&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type returned</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.common.util.concurrent.ListenableFuture&lt;V&gt;, <a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>, <a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;V&gt;, java.util.concurrent.Future&lt;V&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task">FutureForwardingTask</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractTask&lt;V&gt;</span>
extends com.google.common.util.concurrent.AbstractFuture&lt;V&gt;
implements <a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;V&gt;</pre>
<div class="block">An abstract task that stores a name and owner.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sk89q.worldedit.util.task.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html" title="enum in com.sk89q.worldedit.util.task">Task.State</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#AbstractTask-java.lang.String-java.lang.Object-">AbstractTask</a></span>(java.lang.String&nbsp;name,
            java.lang.Object&nbsp;owner)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getCreationDate--">getCreationDate</a></span>()</code>
<div class="block">Get the time at which the task was created.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getName--">getName</a></span>()</code>
<div class="block">Get the name of the task so it can be printed to the user.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getOwner--">getOwner</a></span>()</code>
<div class="block">Get the owner of the task.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.UUID</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getUniqueId--">getUniqueId</a></span>()</code>
<div class="block">Get the unique ID of this task.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.google.common.util.concurrent.AbstractFuture">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.google.common.util.concurrent.AbstractFuture</h3>
<code>addListener, afterDone, cancel, get, get, interruptTask, isCancelled, isDone, set, setException, setFuture, wasInterrupted</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.task.Task">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getState--">getState</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.google.common.util.concurrent.ListenableFuture">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.google.common.util.concurrent.ListenableFuture</h3>
<code>addListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.concurrent.Future">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.concurrent.Future</h3>
<code>cancel, get, get, isCancelled, isDone</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.task.progress.ProgressObservable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.task.progress.<a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html#getProgress--">getProgress</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractTask-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractTask</h4>
<pre>protected&nbsp;AbstractTask(java.lang.String&nbsp;name,
                       @Nullable
                       java.lang.Object&nbsp;owner)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name</dd>
<dd><code>owner</code> - the owner</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUniqueId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUniqueId</h4>
<pre>public&nbsp;java.util.UUID&nbsp;getUniqueId()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getUniqueId--">Task</a></code></span></div>
<div class="block">Get the unique ID of this task.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getUniqueId--">getUniqueId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="type parameter in AbstractTask">V</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this task's unique ID</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getName--">Task</a></code></span></div>
<div class="block">Get the name of the task so it can be printed to the user.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getName--">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="type parameter in AbstractTask">V</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the task</dd>
</dl>
</li>
</ul>
<a name="getOwner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwner</h4>
<pre>@Nullable
public&nbsp;java.lang.Object&nbsp;getOwner()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getOwner--">Task</a></code></span></div>
<div class="block">Get the owner of the task.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getOwner--">getOwner</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="type parameter in AbstractTask">V</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an owner object, if one is known or valid, otherwise <code>null</code></dd>
</dl>
</li>
</ul>
<a name="getCreationDate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCreationDate</h4>
<pre>public&nbsp;java.util.Date&nbsp;getCreationDate()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getCreationDate--">Task</a></code></span></div>
<div class="block">Get the time at which the task was created.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getCreationDate--">getCreationDate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="type parameter in AbstractTask">V</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a date</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/AbstractTask.html" target="_top">Frames</a></li>
<li><a href="AbstractTask.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
